"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fileNodeClicked = void 0;
const fileNodeClicked = (files, opts) => (e, node) => {
    const { id } = node;
    const artifactFile = files.find((file) => file.id === id);
    if (artifactFile === null || artifactFile === void 0 ? void 0 : artifactFile.downloadUrl) {
        fetch(artifactFile.downloadUrl, { method: 'GET' })
            .then((res) => res.blob())
            .then((blob) => {
            var _a;
            // create blob link to download
            const url = window.URL.createObjectURL(new Blob([blob]));
            const link = document.createElement('a');
            link.href = url;
            if (opts === 'download')
                link.setAttribute('download', artifactFile.path);
            if (opts === 'new tab')
                link.setAttribute('target', '_blank');
            // append to html page
            document.body.appendChild(link);
            // force download
            link.click();
            // clean up and remove the link
            (_a = link.parentNode) === null || _a === void 0 ? void 0 : _a.removeChild(link);
        })
            .catch(() => { });
    }
};
exports.fileNodeClicked = fileNodeClicked;
//# sourceMappingURL=artifact-file-node-clicked.js.map